PERES(1)

NAME
peres - analyze and extract PE file resources

SYNOPSIS
peres [OPTIONS]... pefile

DESCRIPTION
peres opens the resource section of a PE file and to read and extract resources. It's part of pev, the PE file analysis toolkit.

pefile is a PE32/PE32+ executable or dynamic linked library file.

OPTIONS

-a, --all
    Show all information, statistics and extract the resources.

-f, --format <text|csv|xml|html>
    Change output format (default is text).

-i, --info
    Show resources information.

-x, --extract
    Extract resources.

-s, --statistics
    Show resource section statistics.

-v, --version
    Show the File Version from resources section.

-V, --version
    Show program version and exit.

--help
    Show this help.

EXAMPLES
Show resources statistics of putty.exe:

    $ peres -s putty.exe

REPORTING BUGS
Please, check the latest development code and report at https://github.com/merces/pev/issues

SEE ALSO
ofs2rva(1), pedis(1), pehash(1), peldd(1), pepack(1), pescan(1), pesec(1), pestr(1), readpe(1), rva2ofs(1)

COPYRIGHT
Copyright (C) 2012 - 2020 pev authors. License GPLv2+: GNU GPL version 2 or later <https://www.gnu.org/licenses/gpl-2.0.txt>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.